//#########################################################################
// File: PROTOS.H
//
// Declare function prototypes and external variables
//
//#########################################################################
// Last change: 21.04.2003
//#########################################################################
// Compiler: AVR-GCC 3.2
//#########################################################################

#ifndef PROTOS_H
#define PROTOS_H

#include <pgmspace.h>
#include "printf.h"

extern unsigned char bmode; //send sectors binary 0=off
extern unsigned char echo; //echo back serial input 0=off

extern void HelpScreen(void);
extern void Delay1ms(unsigned int);
extern void Delay100us(unsigned char);

extern char line[];     //Zeichenpuffer

//sprintf.c
extern int sprintf(unsigned char *buf, unsigned char *format, ...);

//dumpsect.c
extern void DumpSector(unsigned char *buf);

#endif
