//#########################################################################
// File: dos.h
//
//
//#########################################################################
// Last change: 10.11.2003
//#########################################################################
// Compiler: AVR-GCC 3.2
//#########################################################################

#ifndef __DOS_H
#define __DOS_H

#include "compact.h"
#include "fat.h"
#include "dir.h"

//fopen flags
#define F_READ	1
#define F_WRITE	2

#define F_ERROR	0 // dir/file operation failed
#define F_OK	1 // dir/file operation successfull

extern void InitDOS(void);
extern unsigned char fopen(char *name, unsigned char flag);
extern void fclose(void);
extern unsigned int fread(unsigned char *buf, unsigned int count);
extern unsigned int fwrite(unsigned char *buf, unsigned int count);
extern void fflush(void);

extern unsigned char ReadFileRaw(unsigned long startcluster);
extern unsigned char FindName(char *name);

#endif //__DOS_H
