//#########################################################################
// Last change: 09.05.2003
//#########################################################################
// Compiler: AVR-GCC 3.2
//#########################################################################
#ifndef ___SERIAL_H
#define ___SERIAL_H

#define TX_PIN	1
#define TX_PORT	PORTD
#define TX_DIR	DDRD

//#define UART_BAUD_RATE     4800
//#define UART_BAUD_RATE     9600
//#define UART_BAUD_RATE    19200
//#define UART_BAUD_RATE    38400
#define UART_BAUD_RATE   115200

#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)

extern void ser_init(void);
extern void ser_putc(unsigned char c);
extern void ser_puts(unsigned char *s);
extern int ser_gets(unsigned char *s, unsigned char len);
extern unsigned char ser_getc(void);
extern void ser_puthex(unsigned char by);

extern volatile unsigned char rcnt, rpos;
extern volatile unsigned char busy;

#endif
